API Test Keys
Fetch a Fund Account With ID
GET/v1/fund_accounts/:idClick to copy
Use this endpoint to retrieve a fund account with id.
Is this page helpful?
1curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \2-X GET https://api.razorpay.com/v1/fund_accounts/fa_00000000000001
Success
1{2"id": "fa_00000000000001",3"entity": "fund_account",4"contact_id": "cont_00000000000001",5"account_type": "bank_account",6"bank_account": {7"ifsc": "HDFC0000053",8"bank_name": "HDFC Bank",9"name": "Gaurav Kumar",10"account_number": "765432123456789",11"notes": []12},13"active": false,14"batch_id": null,15"created_at": 154531259816}
Path Parameters
id*
string The unique identifier linked to the fund account. For example, fa_00000000000001.
Response Parameters
idstring The unique identifier linked to the fund account validation. For example, fav_0000000001.
entitystring Here it is fund_account.validation.
statusstringThe status of the account validation transaction. Possible values:
createdcompletedfailed
validation_resultsobjectDetails extracted from the results of the fund account validation.
Show child parameters (4)
validated_account_typestring Here it is bank_account.
Show child parameters (1)
status_detailsobjectStatus of the fund account validation.
Show child parameters (3)
reference_idstringUnique reference_id generated for the validation transaction.
fund_accountobjectThe details of the fund account which was validated.
Show child parameters (3)
vpaobjectThe details associated with the account holder's virtual payment address.
Show child parameters (1)
activebooleanPossible values of fund account status:
true: activefalse: inactive
created_atinteger Timestamp, in unix, when the fund account was created. For example, 1543650891.
contactobjectThe contact's details.
Show child parameters (8)
Errors
<fund account id> is not a valid id.
Error Status: 4xx
The fund account ID entered is invalid.
Solution
Fetch a Fund Account With ID
GET/v1/fund_accounts/:idClick to copy
Use this endpoint to retrieve a fund account with id.
Is this page helpful?
Path Parameters
id*
string The unique identifier linked to the fund account. For example, fa_00000000000001.
Response Parameters
idstring The unique identifier linked to the fund account validation. For example, fav_0000000001.
entitystring Here it is fund_account.validation.
statusstringThe status of the account validation transaction. Possible values:
createdcompletedfailed
validation_resultsobjectDetails extracted from the results of the fund account validation.
Show child parameters (4)
validated_account_typestring Here it is bank_account.
Show child parameters (1)
status_detailsobjectStatus of the fund account validation.
Show child parameters (3)
reference_idstringUnique reference_id generated for the validation transaction.
fund_accountobjectThe details of the fund account which was validated.
Show child parameters (3)
vpaobjectThe details associated with the account holder's virtual payment address.
Show child parameters (1)
activebooleanPossible values of fund account status:
true: activefalse: inactive
created_atinteger Timestamp, in unix, when the fund account was created. For example, 1543650891.
contactobjectThe contact's details.
Show child parameters (8)
Errors
<fund account id> is not a valid id.
Error Status: 4xx
The fund account ID entered is invalid.
Solution
1curl -u [YOUR_KEY_ID]:[YOUR_KEY_SECRET] \2-X GET https://api.razorpay.com/v1/fund_accounts/fa_00000000000001
Success
1{2"id": "fa_00000000000001",3"entity": "fund_account",4"contact_id": "cont_00000000000001",5"account_type": "bank_account",6"bank_account": {7"ifsc": "HDFC0000053",8"bank_name": "HDFC Bank",9"name": "Gaurav Kumar",10"account_number": "765432123456789",11"notes": []12},13"active": false,14"batch_id": null,15"created_at": 154531259816}